Delete Files By Ids
curl --request POST \
--url https://api.edenai.run/v3/upload/delete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"file_ids": [
"550e8400-e29b-41d4-a716-446655440000",
"550e8400-e29b-41d4-a716-446655440001"
]
}
'import requests
url = "https://api.edenai.run/v3/upload/delete"
payload = { "file_ids": ["550e8400-e29b-41d4-a716-446655440000", "550e8400-e29b-41d4-a716-446655440001"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
file_ids: ['550e8400-e29b-41d4-a716-446655440000', '550e8400-e29b-41d4-a716-446655440001']
})
};
fetch('https://api.edenai.run/v3/upload/delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"deleted_count": 5
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}files management
Delete Files By Ids
Delete specific files by their IDs.
Only files owned by the authenticated user will be deleted. Files that don’t exist or aren’t owned by the user are silently ignored. This action cannot be undone.
POST
/
v3
/
upload
/
delete
Delete Files By Ids
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Request body for deleting multiple files.
List of file IDs to delete (1-100)
Required array length:
1 - 100 elementsResponse
Successful Response
Response for file deletion.
Number of files deleted
⌘I